#
# spec file for package hylafax (Version 4.3.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 capi4linux coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel ghostscript-library glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip i4l-base i4l-isdnlog info insserv klogd less libacl libattr libcom_err libgcc41 libgimpprint libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpcap libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man metamail mktemp mm module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed sharutils strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel

Name:           hylafax
BuildRequires:  capi4linux gcc-c++ ghostscript-library i4l-isdnlog libpng-devel libtiff-devel metamail mm postfix
License:        X11/MIT
Group:          Hardware/Fax
Provides:       fax_daemon
Requires:       tiff gs_lib smtp_daemon a2ps hylafax-client
Conflicts:      sendfax
Autoreqprov:    on
Version:        4.3.0
Release:        25.2
Source:         %{name}-%{version}.tar.bz2
Source1:        latex-cover-1.04.tar.bz2
Source2:        %{name}-SuSE.tar.bz2
Source3:        capi4hylafax-01.03.00.tar.bz2
Patch:          %{name}-%{version}.dif
Patch1:         %{name}-%{version}-isdn.dif
Patch2:         %{name}-%{version}-valist.dif
Patch3:         %{name}-%{version}-pic.dif
Patch4:         %{name}-%{version}-fax_user.dif
Patch5:         %{name}-%{version}-asciifix.dif
Patch6:         %{name}-%{version}-warning.diff
Patch7:         %{name}-%{version}-dispatch-isdn.diff
Patch10:        capi4hylafax-suse.diff
Patch11:        capi4hylafax-secfix.diff
Patch12:        capi4hylafax-secfix2.diff
URL:            http://www.hylafax.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Very Powerful Fax Server
PreReq:         sh-utils fileutils %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/usermod
%define         server_root /srv/www

%description
Very powerful fax server.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%debug_package
%package -n hylafax-client
License:        X11/MIT
Group:          Hardware/Fax
Conflicts:      sendfax
Autoreqprov:    on
Summary:        Linux client package for the Hylafax server

%description -n hylafax-client
This is linux client part of the very powerful Hylafax fax server. If
you already run the Hylafax fax server on an other machine at your
network, you can use this package to access the server.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%package -n capi4hylafax
License:        GNU General Public License (GPL)
URL:            http://www.avm.de
Summary:        faxcapi modem for hylafax
Group:          Hardware/Fax
Autoreqprov:    on
PreReq:         sh-utils fileutils %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/usermod

%description -n capi4hylafax
capi4hylafax adds a faxcapi modem to the hylafax environment. So you
can send and receive FAX documents with CAPI 2.0 fax controllers via a
hylafax server.



Authors:
--------
    AVM  <cvs-capi4hylafax@avm.de>

%prep
%setup -q -n %{name}-%{version} -a 1 -a 2 -b 3
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch7 -p1
#-b .valist
# need to be executable 
chmod 755 SuSE/usr/lib/fax/a2pswrap
cd ../capi4hylafax-01.03.00
%patch10 -p1
%patch11 -p1
%patch12 -p1
find ../ -name .cvsignore -exec rm {} \;

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --with-OPTIMIZER="$RPM_OPT_FLAGS" --with-STRIP=: \
            ${RPM_ARCH}-suse-linux < /dev/null
make
cd ../capi4hylafax-01.03.00
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS \
./configure 	--prefix=/usr \
		--with-hylafax-spooldir=/var/spool/fax \
		--with-hylafax-srcdir=/usr/src/packages/BUILD/%{name}-%{version}
#		--enable-debug 
make 

%install
install -d ${RPM_BUILD_ROOT}/var/spool/fax
install -d ${RPM_BUILD_ROOT}/usr/lib
install -d ${RPM_BUILD_ROOT}/usr/%_lib
install -d ${RPM_BUILD_ROOT}/usr/share/man
install -d ${RPM_BUILD_ROOT}/etc/init.d
install -d ${RPM_BUILD_ROOT}%{server_root}/htdocs/hylafax
install -d ${RPM_BUILD_ROOT}%{server_root}/cgi-bin
install -d ${RPM_BUILD_ROOT}%{_defaultdocdir}/hylafax
make install BIN=${RPM_BUILD_ROOT}/usr/bin LIBDATA=${RPM_BUILD_ROOT}/usr/lib/fax \
             LIBEXEC=${RPM_BUILD_ROOT}/usr/lib/fax SBIN=${RPM_BUILD_ROOT}/usr/sbin \
	     SPOOL=${RPM_BUILD_ROOT}/var/spool/fax MAN=${RPM_BUILD_ROOT}/usr/share/man\
	     DESTDIR=${RPM_BUILD_ROOT} HTMLDIR=${RPM_BUILD_ROOT}%{server_root}/htdocs/hylafax \
	     CGIBIN=${RPM_BUILD_ROOT}%{server_root}/cgi-bin \
	     LIBDIR=${RPM_BUILD_ROOT}/usr/%_lib
install -m755 etc/hylafax ${RPM_BUILD_ROOT}/etc/init.d
ln -sf ../../etc/init.d/hylafax ${RPM_BUILD_ROOT}/usr/sbin/rchylafax
cp -af SuSE/* ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}/README.SuSE
install -m755 faxsend ${RPM_BUILD_ROOT}/var/spool/fax/bin/
# capi4hylafax
cd ../capi4hylafax-01.03.00
make install BIN=${RPM_BUILD_ROOT}/usr/bin \
		SPOOL=${RPM_BUILD_ROOT}/var/spool/fax \
		LIBEXEC=${RPM_BUILD_ROOT}/usr/lib/fax \
		SBIN=${RPM_BUILD_ROOT}/usr/sbin \
		LIBDIR=${RPM_BUILD_ROOT}/usr/%_lib \
		DESTDIR=${RPM_BUILD_ROOT}
install -m755 faxaddmodem.capi ${RPM_BUILD_ROOT}/usr/sbin/
install -m755 setupconffile ${RPM_BUILD_ROOT}/usr/sbin/faxaddmodem.capi_dia
cp -p config.faxCAPI ${RPM_BUILD_ROOT}/etc/config.faxCAPI.sample
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/capi4hylafax
cp -p AUTHORS LIESMICH.html README.html fritz_pic.tif COPYING Readme_src \
	LIESMICH.SuSE README.SuSE \
	ChangeLog sample_AVMC4_config.faxCAPI sample_faxrcvd \
	config.faxCAPI \
	${RPM_BUILD_ROOT}%{_defaultdocdir}/capi4hylafax
mv ${RPM_BUILD_ROOT}/usr/lib/fax/faxcover_example_sgi.ps ${RPM_BUILD_ROOT}%{_defaultdocdir}/hylafax

%pre
/usr/sbin/useradd -r -o -g uucp -u 33 -s /bin/bash -c "Facsimile agent" -d /var/spool/fax fax 2> /dev/null || :
/usr/sbin/usermod -g uucp -G dialout fax 2> /dev/null || :

%pre -n capi4hylafax
/usr/sbin/useradd -r -o -g uucp -u 33 -s /bin/bash -c "Facsimile agent" -d /var/spool/fax fax 2> /dev/null || :
/usr/sbin/usermod -g uucp -G dialout fax 2> /dev/null || :
test -f /var/spool/fax/etc/config.faxCAPI -a ! -f /etc/config.faxCAPI && \
    cp -a /var/spool/fax/etc/config.faxCAPI /etc/config.faxCAPI || :

%post
/bin/chown -f -R fax var/spool/fax/*
%{fillup_and_insserv hylafax}

%postun
%{insserv_cleanup}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%post -n capi4hylafax
#!/bin/sh
cd etc
FILES=`grep -l "FaxReceiveUser:" config.fax*`
test -z "$FILES" && exit
CFG=""
for f in $FILES ; do
    case $f in
	*~);;
	*orig);;
	*save);;
	*new);;
	*sample);;
	*)  FRG=`grep "FaxReceiveGroup:" $f`
	    if [ -z "$FRG" ]; then
		CFG="${CFG} $f"
	    fi
	    ;;
    esac
done
test -z "$CFG" && exit
for f in $CFG ; do
    mv ${f} ${f}.orig
    cat ${f}.orig | while read line ; do
	case $line in
	    FaxReceiveUser:*)
		echo "FaxReceiveUser:         fax" >> ${f}
		echo "FaxReceiveGroup:        dialout" >> ${f}
		;;
	    *)  echo "$line" >> ${f}
		;;
	esac
    done
done

%files
%defattr(-, root, root)
%doc COPYRIGHT README SuSE/README.SuSE TODO VERSION latex-cover-1.04 html
%config /etc/init.d/hylafax
%dir /usr/lib/fax
%attr(700,root,root) /etc/cron.daily/suse.de-faxcron
/usr/%_lib/libfaxserver*
/usr/lib/fax/faxgetty
/usr/lib/fax/faxsend
/usr/lib/fax/hfaxd
%config(noreplace) /usr/lib/fax/hfaxd.conf
/usr/lib/fax/lockname
/usr/lib/fax/ondelay
/usr/lib/fax/pagesend
%{server_root}/cgi-bin/man2html
%{server_root}/cgi-bin/manpage
%{server_root}/cgi-bin/unquote
%{server_root}/htdocs/hylafax/
%doc %{_mandir}/man5/hylafax-config.5f.gz
%doc %{_mandir}/man5/doneq.5f.gz
%doc %{_mandir}/man5/dialrules.5f.gz
%doc %{_mandir}/man5/hosts.hfaxd.5f.gz
%doc %{_mandir}/man5/hylafax-server.5f.gz
%doc %{_mandir}/man5/hylafax-info.5f.gz
%doc %{_mandir}/man5/hylafax-log.5f.gz
%doc %{_mandir}/man5/pagermap.5f.gz
%doc %{_mandir}/man5/pagesizes.5f.gz
%doc %{_mandir}/man5/recvq.5f.gz
%doc %{_mandir}/man5/sendq.5f.gz
%doc %{_mandir}/man5/hylafax-shutdown.5f.gz
%doc %{_mandir}/man5/status.5f.gz
%doc %{_mandir}/man5/tsi.5f.gz
%doc %{_mandir}/man5/typerules.5f.gz
%doc %{_mandir}/man5/xferfaxlog.5f.gz
%doc %{_mandir}/man8/choptest.8c.gz
%doc %{_mandir}/man8/cqtest.8c.gz
%doc %{_mandir}/man8/dialtest.8c.gz
%doc %{_mandir}/man8/faxabort.8c.gz
%doc %{_mandir}/man8/faxaddmodem.8c.gz
%doc %{_mandir}/man8/faxadduser.8c.gz
%doc %{_mandir}/man8/faxanswer.8c.gz
%doc %{_mandir}/man8/faxconfig.8c.gz
%doc %{_mandir}/man8/faxcron.8c.gz
%doc %{_mandir}/man8/faxdeluser.8c.gz
%doc %{_mandir}/man8/faxgetty.8c.gz
%doc %{_mandir}/man8/faxinfo.8c.gz
%doc %{_mandir}/man8/faxlock.8c.gz
%doc %{_mandir}/man8/faxmodem.8c.gz
%doc %{_mandir}/man8/faxq.8c.gz
%doc %{_mandir}/man8/faxqclean.8c.gz
%doc %{_mandir}/man8/faxquit.8c.gz
%doc %{_mandir}/man8/faxrcvd.8c.gz
%doc %{_mandir}/man8/faxsend.8c.gz
%doc %{_mandir}/man8/faxsetup.8c.gz
%doc %{_mandir}/man8/faxstate.8c.gz
%doc %{_mandir}/man8/faxwatch.8c.gz
%doc %{_mandir}/man8/hfaxd.8c.gz
%doc %{_mandir}/man8/jobcontrol.8c.gz
%doc %{_mandir}/man8/mkcover.8c.gz
%doc %{_mandir}/man8/notify.8c.gz
%doc %{_mandir}/man8/pagesend.8c.gz
%doc %{_mandir}/man8/pollrcvd.8c.gz
%doc %{_mandir}/man8/pdf2fax.8c.gz
%doc %{_mandir}/man8/ps2fax.8c.gz
%doc %{_mandir}/man8/recvstats.8c.gz
%doc %{_mandir}/man8/tagtest.8c.gz
%doc %{_mandir}/man8/tiff2fax.8c.gz
%doc %{_mandir}/man8/tiffcheck.8c.gz
%doc %{_mandir}/man8/tsitest.8c.gz
%doc %{_mandir}/man8/wedged.8c.gz
%doc %{_mandir}/man8/xferfaxstats.8c.gz
/usr/sbin/choptest
/usr/sbin/cqtest
/usr/sbin/dialtest
/usr/sbin/faxabort
/usr/sbin/faxaddmodem
/usr/sbin/faxadduser
/usr/sbin/faxanswer
/usr/sbin/faxconfig
%config(noreplace) %attr(700,root,root) /usr/sbin/faxcron
/usr/sbin/faxdeluser
/usr/sbin/faxinfo
/usr/sbin/faxlock
/usr/sbin/faxmodem
/usr/sbin/faxmsg
/usr/sbin/faxq
/usr/sbin/faxqclean
/usr/sbin/faxquit
/usr/sbin/faxsetup
/usr/sbin/faxsetup.bsdi
/usr/sbin/faxsetup.irix
/usr/sbin/faxsetup.linux
/usr/sbin/faxstate
/usr/sbin/faxwatch
/usr/sbin/probemodem
/usr/sbin/rchylafax
/usr/sbin/recvstats
/usr/sbin/tagtest
/usr/sbin/tiffcheck
/usr/sbin/tsitest
/usr/sbin/typetest
/usr/sbin/xferfaxstats
%defattr(-,fax,uucp)
%dir /var/spool/fax
%dir /var/spool/fax/archive
%dir /var/spool/fax/bin
/var/spool/fax/bin/*
%dir /var/spool/fax/client
%dir /var/spool/fax/config
/var/spool/fax/config/*
%dir /var/spool/fax/dev
%dir /var/spool/fax/docq
%dir /var/spool/fax/doneq
%dir /var/spool/fax/etc
%config(noreplace) /var/spool/fax/etc/cover.templ
%config(noreplace) /var/spool/fax/etc/dialrules
%config(noreplace) /var/spool/fax/etc/dialrules.europe
%config(noreplace) /var/spool/fax/etc/dialrules.sf-ba
%config(noreplace) /var/spool/fax/etc/dpsprinter.ps
%config(noreplace) /var/spool/fax/etc/hosts.hfaxd
%config(noreplace) /var/spool/fax/etc/lutRS18.pcf
%config(noreplace) /var/spool/fax/etc/xferfaxlog
%config(noreplace) /var/spool/fax/etc/users
%dir /var/spool/fax/info
%dir /var/spool/fax/log
%dir /var/spool/fax/pollq
%dir /var/spool/fax/recvq
%dir /var/spool/fax/sendq
%dir /var/spool/fax/status
%dir /var/spool/fax/tmp
/var/spool/fax/COPYRIGHT
/var/spool/fax/FIFO

%files -n hylafax-client
%defattr(-, root, root)
/usr/bin/faxalter
/usr/bin/faxcover
/usr/bin/faxmail
/usr/bin/faxrm
/usr/bin/faxstat
/usr/bin/sendfax
/usr/bin/sendpage
/usr/%_lib/libfaxutil*
%dir /usr/lib/fax
/usr/lib/fax/a2pswrap
%config /usr/lib/fax/faxcover.ps
/usr/lib/fax/faxmail.ps
%config /usr/lib/fax/pagesizes
%config(noreplace) /usr/lib/fax/sendfax.conf
/usr/lib/fax/textfmt
%config /usr/lib/fax/typerules
/usr/sbin/edit-faxcover
%doc %{_mandir}/man1/edit-faxcover.1.gz
%doc %{_mandir}/man1/faxalter.1.gz
%doc %{_mandir}/man1/faxcover.1.gz
%doc %{_mandir}/man1/faxmail.1.gz
%doc %{_mandir}/man1/faxrm.1.gz
%doc %{_mandir}/man1/faxstat.1.gz
%doc %{_mandir}/man1/hylafax-client.1.gz
%doc %{_mandir}/man1/sendfax.1.gz
%doc %{_mandir}/man1/sendpage.1.gz
%doc %{_mandir}/man1/sgi2fax.1.gz
%doc %{_mandir}/man1/textfmt.1.gz

%files -n capi4hylafax
%defattr(-, root, root)
%doc %{_defaultdocdir}/capi4hylafax
/usr/bin/c2faxrecv
/usr/bin/c2faxsend
/usr/sbin/faxaddmodem.capi
/usr/sbin/faxaddmodem.capi_dia
/etc/config.faxCAPI.sample

%changelog -n hylafax
* Thu Dec 07 2006 - kkeil@suse.de
- fix FaxDispatch to take the correct parameter (#212516)
* Tue Dec 05 2006 - kkeil@suse.de
- capi4hylafax: security fix against executing arbitrary commands
  on the fax receiving system. CVE-2006-3126 (#203515)
* Thu Aug 03 2006 - kkeil@suse.de
- update to version 4.3.0
  * Fix DCS tag handling in Class2 (BUG 771) (5 May 2006)
  * Fix hfaxd corruption on killed jobs (BUG 401) (5 May 2006)
  * More fixes to batching and jobcontrol interaction (3 May 2006)
  * Re-work fix for hfaxd's time handling (BUG 723) (28 Apr 2006)
  * Don't let users kill each other's jobs (BUG 752) (28 Apr 2006)
  * Use areBatchable() to make sure batching doesn't ignore job
  modems (28 Apr 2006)
  * Enhance Italian translation (BUG 758) (26 Apr 2006)
  * Fix faxq sleepq concurrency problem (BUG 745) (26 Apr 2006)
  * Fix runSchedule() concurrency problem (BUG 745) (26 Apr 2006)
  * Fix some of the error paths in the setReadyToRun jobcontrol
  pipe, fork, and exec calls (BUG 745) (25 Apr 2006)
  * Fix unblocking job problem (BUG 733) (24 Apr 2006)
  * back out flush modem I/O (BUG 756) (24 Apr 2006)
  * Make sure hfaxd returns JBIG faxes in recvq list (BUG 731) (23 Apr 2006)
  * Resolve Solaris bus error under native compiler (BUG 769) (23 Apr 2006)
  * Fix quoted-printable MIME encoding in faxrcvd (BUG 760) (21 Apr 2006)
  * Fix sendfax to accept both destination and user subaddresses
  (BUG 762) (21 Apr 2006)
  * Repair broken MMR from some Multitech modems (BUG 763) (21 Apr 2006)
  * Add JobControlWait to allow faxq to wait for JobControlCmd
  to finish synchronously (4 Apr 2006)
  * flush modem I/O on receptions before sending any data (03 Apr 2006)
  * fix incorrect "Fax protocol error" in ECM mode (03 Apr 2006)
  * add German NSFs and correct HylaFAX NSF bit order (03 Apr 2006)
  * set Class1RMPersistence to 0 in digi config prototype (03 Apr 2006)
  * extend V.21 HDLC frame reception timeout to 10 sec (03 Apr 2006)
  * ignore MESSAGE-WAITING response after dialing (02 Apr 2006)
  * Correctly remove EOFB at the end of MMR images (02,10 Apr 2006)
  * set minimum of 4800 for V.34 primary rate renegotiations (02 Apr 2006)
  * improve handling of V.34 control channel retrain (02 Apr 2006)
  * Add isdn4linux modem config prototype (02 Apr 2006)
  * Add IAXmodem config prototype (02 Apr 2006)
  * Update config.guess & config.sub (27 Mar 2006)
  * Add JobControl (obsoletes DestControl) (27 Mar 2006)
  * Fix hfaxd SNPP login code to 250 (Bug 732) (27 Mar 2006)
  * Fix hfaxd timezone handling on new GLIBC (BUG 723) (24 Mar 2006)
  * Fix locking of recvq tiff files (BUG 739) (23 Mar 2006)
  * fix batching of page jobs (23 Mar 2006)
  * expand Class1JBIGSupport to allow for differentiation
  between full, none, send, and receive support (17 Mar 2006)
  * remove QualifyCID in lieu of DynamicConfig RejectCall (15 Mar 2006)
  * fix buffer overrun in NSF parsing (21 Feb 2006)
  * add dictionary for notify, faxrcvd, and pollrcvd
  internationalization support (21 Feb 2006)
  * add CHARSET config option for mailing scripts (21 Feb 2006)
  * use To-Company and To-Name coverpage entries in the notification
  message if they are available to use (21 Feb 2006)
  * add support for libtiff-3.8 (31 Jan 2006)
  * use PDF in q-files when appropriate (30 Jan 2006)
  * fix configure in vsnprintf detection (30 Jan 2006)
  * fix segfault on some compilers where the rare occassion
  of receiving CTC instead of PPS occurs (30 Jan 2006)
  * fix rare occassion where TCF fails following an unexpected
  receipt of prologue frames (30 Jan 2006)
* Fri May 26 2006 - schwab@suse.de
- Don't build as root.
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Mon Mar 13 2006 - kkeil@suse.de
- move log/debug files to none world writeable directory (#156975)
- fix faxaddmodem.capi script to produce a valid configfile
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - kkeil@suse.de
- update to hylafax-4.2.5
  * security fixes (#119666, 140908)
* Mon Dec 19 2005 - kkeil@suse.de
- update to hylafax-4.2.3
* Fri Aug 19 2005 - kkeil@suse.de
- update capi4hylafax from beta to final version 01.03.00
* Thu Aug 04 2005 - kkeil@suse.de
- capi4hylafax update to 01-02-91beta
* Thu Jun 02 2005 - ro@suse.de
- rename faxcron to suse-faxcron for now
* Wed May 18 2005 - kkeil@suse.de
- fix handling of return codes in hylafax mode (#80592)
* Mon Apr 25 2005 - kkeil@suse.de
- more GCC4 fixes
* Sat Apr 09 2005 - kkeil@suse.de
- fix GCC4 issues
* Wed Jan 26 2005 - kkeil@suse.de
- a2pswrap should be only in hylafax-client
* Mon Jan 24 2005 - kkeil@suse.de
- update to hylafax-4.2.1
- split haylafax into hylafax and hylafax-client
* Thu Oct 28 2004 - kkeil@suse.de
- add tiff lib version 3.7 and 3.8 to configure test
* Tue Sep 21 2004 - kkeil@suse.de
- need shareutils and metamail for correct build
* Mon Sep 06 2004 - kkeil@suse.de
- better ASCII -> PS conversion (#44609)
* Tue Aug 31 2004 - kkeil@suse.de
- readd in spec file fillup_and_insserv; deleted one line too much
* Tue Aug 31 2004 - kkeil@suse.de
- update to hylafax-4.2.0
* Tue Aug 31 2004 - kkeil@suse.de
- remove notify mail (#44371)
- remove wrong test in faxcron (#43038)
* Thu May 06 2004 - kkeil@suse.de
- fix problem with connection abort on c2faxsend
  new NPTL sem_wait() is interruptible by signals (#40051)
- update README.SuSE, remove old stuff (#39789)
* Mon Apr 19 2004 - ro@suse.de
- remove apache from neededforbuild
  (serverroot is hardcoded in specfile anyway ...)
* Thu Mar 25 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Tue Mar 02 2004 - kkeil@suse.de
- update to hylafax-4.1.8
* Wed Oct 08 2003 - kkeil@suse.de
- fix hfaxd remote vulnerability due to format string bugs (#32036)
- fix ownership of preexistent hylafax FIFO files (#32136)
* Sat Sep 20 2003 - kkeil@suse.de
- add useradd,usermod to PreReq (#31479)
* Mon Sep 08 2003 - kkeil@suse.de
- fix owner of files under /var/spool/fax (#29610)
- use now the system user fax for hylafax
* Fri Aug 29 2003 - kkeil@suse.de
- capi4hylafax update to the cvs version; many bugfixes
* Mon Aug 18 2003 - kkeil@suse.de
- update to hylafax-4.1.7
* Tue Jul 29 2003 - aj@suse.de
- Fix chown invocation.
* Fri May 30 2003 - kkeil@suse.de
- fix wrong config files for FCLASS 2 setup (# 27129)
* Mon May 26 2003 - kkeil@suse.de
- cleanup build tree and add missed files
* Fri May 09 2003 - kkeil@suse.de
- Add URL to package capi4hylafax
* Tue Jan 21 2003 - kkeil@suse.de
- update to hylafax-4.1.5
- update to capi4hylafax-01.02.02
* Mon Nov 25 2002 - kkeil@suse.de
- fixes for 64 bit architectures
- finaly solve all va_list problems in capi4hylafax
* Thu Nov 14 2002 - kkeil@suse.de
- fix problem in c2recvfax with receiving 2 fax at the same time
* Wed Nov 13 2002 - kkeil@suse.de
- more fixes to setup scripts (#21116)
- add SuSE docu and setup scripts for capi4hylafax (#20767)
* Wed Nov 06 2002 - kkeil@suse.de
- update capi4hylafax to 01.02.01, which includes all previous
  fixes and a solution for the va_list problem (#21741)
* Tue Oct 22 2002 - kkeil@suse.de
- fix missing leading zeros in config files (#21116)
* Fri Oct 11 2002 - kkeil@suse.de
- add AcceptGlobalCall option
* Tue Oct 08 2002 - kkeil@suse.de
- fix problem with FaxDispatch wrong parameter was used
- remove not working va_list patch for capi4hylafax
* Mon Sep 23 2002 - tcrhak@suse.cz
- be more strict in init script when
  killing faxq and hfaxd [bug #19235]
* Mon Sep 02 2002 - meissner@suse.de
- Dropped va_list in va_list junk (this just does not work).
- Do not pass va_list*, but va_list directly to integer formatting.
- lib64 fixes
- fixed stdint.h inclusion for wordsize 64
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Fri Aug 02 2002 - tcrhak@suse.cz
- update to 4.1.3
- fixed bugs #12645 and #14771
* Fri Aug 02 2002 - ro@suse.de
- adapted server root
* Sun Jul 28 2002 - kukuk@suse.de
- Add capi4linux, remove libz
* Tue Jul 23 2002 - kukuk@suse.de
- Fix neededforbuild (i4l is splittet)
* Mon Jul 15 2002 - kkeil@suse.de
-  add capi4hylafax subpackage
* Thu Jul 11 2002 - kkeil@suse.de
- if compiled with shared libs, it should also install them
* Fri Jun 28 2002 - schwab@suse.de
- Fix building shared libraries.
- Fix conflicting types.
* Thu Jun 27 2002 - tcrhak@suse.cz
- update to 4.1.2
- fixed for gcc 3.1
* Thu May 16 2002 - meissner@suse.de
- va_list generates a pseudo block which we cannot goto over.
* Sun Feb 17 2002 - ro@suse.de
- fixed init-script (status) (#13303)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 14 2002 - ro@suse.de
- removed START_HYLAFAX
* Wed Aug 29 2001 - schwab@suse.de
- Don't use obsolete <osfcn.h>
- Fix conflicting types.
* Fri Aug 10 2001 - dan@suse.cz
- man page fix (#9707)
* Wed Aug 08 2001 - dan@suse.cz
- update to version 4.01
- installing documentation fixed
- font path fixed (#9662)
- spec file clean-up
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri May 04 2001 - pblaha@suse.cz
- place faxcron to /etc/cron.daily
* Mon Apr 23 2001 - pblaha@suse.cz
- fix problem with permison of /usr/lib/fax/a2pswrap
- fix problem with /usr/lib/fax/faxsend
* Tue Apr 17 2001 - kkeil@suse.de
- add some ISDN features (dispatch fax according MSN)
- example configs for I4L CLASS1 and CLASS2 modems
* Tue Apr 17 2001 - stark@suse.de
- added insserv in %%post and %%postun (Bug #6487)
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Jan 04 2001 - smid@suse.cz
- fixed startcript
- bzip sources
* Thu Nov 30 2000 - ro@suse.de
- fixed startscript
* Fri Jul 28 2000 - smid@suse.cz
- fix syntax error in faxcron script (bugzilla #3520)
* Thu Jul 13 2000 - kasal@suse.de
- fixed possible bug if LC_ALL != C
* Mon Jul 10 2000 - choeger@suse.de
- Bugfix for a2pswrap: tr command changed.
  seems to be more POSIX like
* Wed Jun 28 2000 - kasal@suse.cz
- added tiff-3.5-interfaces.patch to build with new libtiff
- added twice "-type f" to faxcron script (fixes bug #2955)
* Mon Jun 26 2000 - schwab@suse.de
- Fix test for compiler version.
- Add %%suse_update_config.
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Wed Mar 15 2000 - choeger@suse.de
- bugfix for typerules
  textfmt does not work anymore on SuSE Linux 6.4
  Don't know how to fix this, so I wrote a new
  ascii2ps called a2pswrap
* Tue Mar 07 2000 - choeger@suse.de
- bugfixes for probemodem and faxaddmodem
- stty 0 does not work anymore, tried stty -clocal, works
- trap'ed sig 15 und tries to kill with TERM, what is not possible
  then, fixed
* Mon Mar 06 2000 - choeger@suse.de
- removed optimization flag -O2, because with this
  option, hylafax won't work anymore with gpp-2.95.2
* Wed Mar 01 2000 - choeger@suse.de
- added FIFO to rpm-package and removed it from postinstall
- changed manpath in config.site
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Mon Jan 10 2000 - ro@suse.de
- patched to accept libtiff v3.5
* Tue Jan 04 2000 - choeger@suse.de
- y2k bugfix for xferfaxstats
* Fri Dec 17 1999 - werner@suse.de
- Seems that SCRIPT_SH="/bin/bash -f" isn't a good idea because it
  will be used during package build: back to SCRIPT_SH="/bin/bash"
* Thu Dec 16 1999 - werner@suse.de
- Make "any:.*" ModemGroup work for faxsetup (change
  awk FS from `:' to `\000')
- Use `bash -f' (noglob option) instead of plain bash
- Make xferfaxstats secure as done for the other scripts
- Within scripts use for EXIT a own trap for not changing
  exit status in a false matter.
- Remove temporary directory in faxcron script
  even if terminated within option handling.
- Force usage not only linkage of system libz
- Set GCOPTS and GCXXOPTS in specs to be able to use $RPM_OPT_FLAGS
- Say YES to configure :-)
- Host type is ${RPM_ARCH}-suse-linux
* Tue Oct 05 1999 - choeger@suse.de
- new version (beta but necessary) 4.1beta2
* Mon Sep 20 1999 - ro@suse.de
- added Provides: fax_daemon, Requires: smtp_daemon
* Mon Mar 01 1999 - ro@suse.de
- added -D_GNU_SOURCE to GC++FLAGS for fds_bits and glibc-2.1
* Fri Dec 18 1998 - choeger@suse.de
- just another faxcron-patch...
* Sun Dec 13 1998 - choeger@suse.de
- applied a patch to make regex work under glibc,
  changed path to tiff-libs and -bins
* Fri Dec 11 1998 - choeger@suse.de
- added some patches from hylafax.org
* Wed Dec 09 1998 - choeger@suse.de
- made init-scripts complete
* Fri Nov 20 1998 - choeger@suse.de
- added new init-script functionality
* Tue Nov 10 1998 - ro@suse.de
- fixes to compile with egcs (ANSI-C++):
  if a function expects a function pointer,
  don't try to pass a function as argument
* Wed Sep 23 1998 - choeger@suse.de
- fixes for /tmp racecondition
* Thu Sep 10 1998 - choeger@suse.de
- fixed faxcron
* Wed Jul 29 1998 - choeger@suse.de
- removed faxsurvey from the list of files, because
  of a security-hole
* Mon Jul 27 1998 - choeger@suse.de
- fixed error in postinstall (leading slash)
* Tue Jul 21 1998 - choeger@suse.de
- added -e to echo in init-script
* Mon Feb 23 1998 - choeger@suse.de
- new version, v4.0pl2
* Tue Nov 18 1997 - choeger@suse.de
- changed spec-file, because html-docu was not correctly installed
* Mon Nov 17 1997 - choeger@suse.de
- now ready for autobuild and ready to run... :-)
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
* Tue Oct 07 1997 - choeger@suse.de
- created .spec file
* Wed Jul 09 1997 - choeger@suse.de
- fixed uucp-locking misconfiguration (config.site)
* Mon Jul 07 1997 - choeger@suse.de
- new package with directory-fix
* Tue Jul 01 1997 - choeger@suse.de
- new package with fixed faxaddmodem and faxsetup
  scripts ( uid <-> gid problem )
* Wed Jun 04 1997 - choeger@suse.de
- new package with new README.SuSE that points to the behaviour
  of the fax and uucp uid problem
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
- fixed doinst.sh for installion not in running system
* Fri May 30 1997 - choeger@suse.de
- built new package because of new location of httpd/cgi-bin
  -> /usr/local/httpd/cgi-bin
* Mon May 05 1997 - choeger@suse.de
- added latex-cover v1.03 to the binary distribution
* Tue Apr 22 1997 - choeger@suse.de
- by the fact that the newer version of mgetty now seems to work
  with faxgetty, I recompiled it with Adaptive Answer Support in
  combination with mgetty
* Tue Feb 25 1997 - choeger@suse.de
- new package, v4.0pl1
